package com.iformall.service;

import com.github.pagehelper.PageInfo;
import com.iformall.domain.po.WxMall;

public interface WxMallService {

    /**
     * 根据实体查询分页列表
     *
     * @param record
     * @param pageIndex
     * @param pageSize
     * @return
     */
    PageInfo<WxMall> listAsPage(WxMall record, Integer pageIndex, Integer pageSize);

    /**
     * 根据Id获得实体
     *
     * @param id
     * @return
     */
    WxMall getById(Long id);

    /**
     * 保存实体
     *
     * @param record
     */
    int save(WxMall record);

    /**
     * 更新实体
     *
     * @param record
     */
    int update(WxMall record);

    /**
     * 根据Id删除实体
     *
     * @param id
     */
    void deleteById(Long id);

    /**
     * 根据tenant Id查寻
     *
     * @param id
     */
    WxMall getByTenantId(String id);

    WxMall getByTenantIdExt(String id);


}
